Debian Bug report logs - #677096
thread-using code built with current ghc's non-threaded runtime spins

version graph

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Joey Hess <joeyh@debian.org>

Date: Mon, 11 Jun 2012 16:09:01 UTC

Severity: normal

Tags: fixed-upstream

Found in versions ghc/7.4.1-4, ghc/7.4.1-3

Fixed in version ghc/7.6.1.20121207-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/ghc/ticket/5991

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#677096; Package ghc. (Mon, 11 Jun 2012 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 11 Jun 2012 16:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: thread-using code built with current ghc's non-threaded runtime spins
Date: Mon, 11 Jun 2012 12:07:57 -0400
[Message part 1 (text/plain, inline)]
Package: ghc
Version: 7.4.1-3
Severity: normal

Stracing xmonad, I see a rather tight loop like this:

--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
poll([{fd=3, events=POLLIN}], 1, -1)    = ? ERESTART_RESTARTBLOCK (To be restarted)
--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
poll([{fd=3, events=POLLIN}], 1, -1)    = ? ERESTART_RESTARTBLOCK (To be restarted)
--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
poll([{fd=3, events=POLLIN}], 1, -1)    = ? ERESTART_RESTARTBLOCK (To be restarted)
--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
poll([{fd=3, events=POLLIN}], 1, -1)    = ? ERESTART_RESTARTBLOCK (To be restarted)

This is probably bad for a daemon or long-running program, especially
on a laptop. It will probably keep the CPU from entering wait states.

Powertop seems to bear this out; when xmonad is running my laptop
enters the C1 idle state less than 10% of the time; when I
kill -STOP xmonad, this jumps to 20% or more. Also, xmonad is
at the top of powertop's list of offenders:

                Usage       Events/s    Category       Description
             11.0 ms/s      46.7        Process        /home/joey/.xmonad/xmonad

I can reproduce a similar tight loop in strace with this simple program,
when built with ghc 7.4, without the threaded runtime:

import Control.Monad
import Control.Concurrent

fooThread = forever $ threadDelay 100000000 -- 100 seconds

main = do
        forkIO fooThread
        fooThread

The strace is much the same as the xmonad one, only the condition the threads
are waiting on varies, but the constant waking up remains the same.

gettimeofday({1339429713, 896353}, NULL) = 0
select(0, [], [], NULL, {99, 540844})   = ? ERESTARTNOHAND (To be restarted)
--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
gettimeofday({1339429713, 906388}, NULL) = 0
select(0, [], [], NULL, {99, 532563})   = ? ERESTARTNOHAND (To be restarted)
--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
gettimeofday({1339429713, 917327}, NULL) = 0
select(0, [], [], NULL, {99, 524158})   = ? ERESTARTNOHAND (To be restarted)
--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
gettimeofday({1339429713, 926545}, NULL) = 0
select(0, [], [], NULL, {99, 516729})   = ? ERESTARTNOHAND (To be restarted)
--- SIGVTALRM (Virtual timer expired) @ 0 (0) ---

With the threaded runtime, this doesn't happen.

And, if I build it with ghc 6.12, nonthreaded runtime, the
strace looks like this:

gettimeofday({1339429071, 169771}, NULL) = 0
gettimeofday({1339429071, 169926}, NULL) = 0
select(0, [], [], NULL, {100, 20000}

If we're going to ship this GHC, then this bug should at least be cloned
to xmonad and it made to build with -threaded. That seems to work well
for me.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ghc depends on:
ii  gcc          4:4.7.0-6
ii  libbsd-dev   0.3.0-2
ii  libc6        2.13-32
ii  libc6-dev    2.13-32
ii  libffi-dev   3.0.10-3
ii  libffi5      3.0.10-3
ii  libgmp-dev   2:5.0.5+dfsg-1.1
ii  libgmp10     2:5.0.5+dfsg-1.1
ii  libncurses5  5.9-7
ii  libtinfo5    5.9-7

ghc recommends no packages.

Versions of packages ghc suggests:
ii  ghc-doc      7.4.1-3
ii  ghc-prof     7.4.1-3
ii  haskell-doc  <none>
ii  llvm-3.0     <none>
ii  perl         5.14.2-10

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#677096; Package ghc. (Mon, 11 Jun 2012 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 11 Jun 2012 20:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 677096@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 677096@bugs.debian.org
Subject: Re: Bug#677096: Acknowledgement (thread-using code built with current ghc's non-threaded runtime spins)
Date: Mon, 11 Jun 2012 16:42:05 -0400
[Message part 1 (text/plain, inline)]
According to erikde, ghc 7.4.2 does not spin this way. (On powerpc, anyway..)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#677096; Package ghc. (Mon, 11 Jun 2012 21:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 11 Jun 2012 21:36:15 GMT) Full text and rfc822 format available.

Message #15 received at 677096@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Joey Hess <joeyh@debian.org>, 677096@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#677096: Acknowledgement (thread-using code built with current ghc's non-threaded runtime spins)
Date: Mon, 11 Jun 2012 23:05:56 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 11.06.2012, 16:42 -0400 schrieb Joey Hess:
> According to erikde, ghc 7.4.2 does not spin this way. (On powerpc, anyway..)

hmm, more and more reasons that we want 7.4.2 in wheezy... but it is
getting quite late, as it would require rebuilding everything (binNMUs,
not source NMUs).

This is
http://hackage.haskell.org/trac/ghc/ticket/5991
so we could backport the patches if it turns out that we do not want
7.4.2 in Debian.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:45:03 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 16 Jun 2012 16:09:10 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Sat, 16 Jun 2012 16:09:11 GMT) Full text and rfc822 format available.

Message #22 received at 677096-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 677096-close@bugs.debian.org
Subject: Bug#677096: fixed in ghc 7.4.1-4
Date: Sat, 16 Jun 2012 16:05:02 +0000
Source: ghc
Source-Version: 7.4.1-4

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive:

ghc-doc_7.4.1-4_all.deb
  to main/g/ghc/ghc-doc_7.4.1-4_all.deb
ghc-dynamic_7.4.1-4_amd64.deb
  to main/g/ghc/ghc-dynamic_7.4.1-4_amd64.deb
ghc-haddock_7.4.1-4_amd64.deb
  to main/g/ghc/ghc-haddock_7.4.1-4_amd64.deb
ghc-prof_7.4.1-4_amd64.deb
  to main/g/ghc/ghc-prof_7.4.1-4_amd64.deb
ghc6-doc_7.4.1-4_all.deb
  to main/g/ghc/ghc6-doc_7.4.1-4_all.deb
ghc6-prof_7.4.1-4_all.deb
  to main/g/ghc/ghc6-prof_7.4.1-4_all.deb
ghc6_7.4.1-4_all.deb
  to main/g/ghc/ghc6_7.4.1-4_all.deb
ghc_7.4.1-4.debian.tar.gz
  to main/g/ghc/ghc_7.4.1-4.debian.tar.gz
ghc_7.4.1-4.dsc
  to main/g/ghc/ghc_7.4.1-4.dsc
ghc_7.4.1-4_amd64.deb
  to main/g/ghc/ghc_7.4.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677096@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 16 Jun 2012 12:48:18 +0200
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.4.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 673081 676970 677096 677591
Changes: 
 ghc (7.4.1-4) unstable; urgency=low
 .
   [ Erik de Castro Lopo ]
   * Add debian/patches/fix-PPC-right-shift-bug which fixes upstream GHC bug:
     http://hackage.haskell.org/trac/ghc/ticket/6156 (Closes: #677591)
   * Refresh other patches.
   * debian/contol: Add myself to uploaders and set DM-Upload-Allowed to yes.
 .
   [ Joachim Breitner ]
   * debian/patches/no-useless-timer: Backported from GHC 7.4.2, (Closes:
     #677096)
   * Make sure GHC is using ld.bfd, as it passes arguments not understood by
     the gold linker (Closes: #673081)
   * Use a saner priority for the runhaskell alternative. (Closes: #676970).
     TODO for later: Consider removing the alternatives code altogether.
Checksums-Sha1: 
 44cfcf75d82d8e797445d1f1f7d56e8387fc569d 1841 ghc_7.4.1-4.dsc
 02701e3cd751e1701d6d23e9a58321e083e16ee7 51830 ghc_7.4.1-4.debian.tar.gz
 5e172bb040afc63f87de4085dceb4aeb1320e39b 14399388 ghc-doc_7.4.1-4_all.deb
 a2e99a2c498b08437dfcec7b9e16f4b3cbad5dc8 26946 ghc6_7.4.1-4_all.deb
 21862a12a3899e8983ff65e69d6f8fa45941f5c6 27074 ghc6-doc_7.4.1-4_all.deb
 688e06dfa4006e369df2dbfeaf34a6ba44bafe8c 26618 ghc6-prof_7.4.1-4_all.deb
 51796f499caa43f99bf17643dd8c9c3a0d7b03ad 45772712 ghc_7.4.1-4_amd64.deb
 cc1cf9a50b3bcf10a6ebcd5a910deccf854668a6 44282296 ghc-prof_7.4.1-4_amd64.deb
 e7185ced9fd06d19fe962734c3a295d58f19ff0c 20650870 ghc-dynamic_7.4.1-4_amd64.deb
 03ee388cf98d5aaec4c0a3c6d3199a681d3a4bac 6769668 ghc-haddock_7.4.1-4_amd64.deb
Checksums-Sha256: 
 6d7baf53e626994388118d06d9f4930f1994ab56ddcec355cecc1e393fdf942b 1841 ghc_7.4.1-4.dsc
 90915cfb61cbbccb551053c6e416ca6a00b5f6e8a32d30e0033a673c0b74a392 51830 ghc_7.4.1-4.debian.tar.gz
 f35cbd2f75bf561f7a32a674ca02e6373201928f60ab86dd9c71e58fdbf93217 14399388 ghc-doc_7.4.1-4_all.deb
 8d725eb01ad08dd1b86911ce28fbb960bd220e615eb6be3120ccf446049586ae 26946 ghc6_7.4.1-4_all.deb
 d6e6585ebf8eff6a5e4d8c417e68ad5803b73fd4f7fa4cbbca498f3aad49f06e 27074 ghc6-doc_7.4.1-4_all.deb
 534bbff2528a0fac60b65c2d11fd3d0ec33342252262e692fde3997a58177b62 26618 ghc6-prof_7.4.1-4_all.deb
 3f82d876654279b57b7c050194e091ac2777c7362a5ebf4fd87504ba41484d9d 45772712 ghc_7.4.1-4_amd64.deb
 fbf2aae93433d0182f52ab0e1d5e9b59ba680c2828579c5345113166cbf9b8bf 44282296 ghc-prof_7.4.1-4_amd64.deb
 de0a6d3462eb98efacc145c9d0d5200751b851065668aed4875b76bfda3e76ab 20650870 ghc-dynamic_7.4.1-4_amd64.deb
 e2c9e47e49b29a68971f000bc5ee1fe290aeec6d4c2542485bce2a972bc5b6d8 6769668 ghc-haddock_7.4.1-4_amd64.deb
Files: 
 809a0e53c3aa4bc4331c92a8533532c2 1841 haskell extra ghc_7.4.1-4.dsc
 b49af91e6d3a9bb347fe8c19b40ab3e2 51830 haskell extra ghc_7.4.1-4.debian.tar.gz
 20fa5e0ca4fc7e54ceb7efbebe707951 14399388 doc extra ghc-doc_7.4.1-4_all.deb
 cd2a8b23ecfde8b677c8219ee39878a8 26946 haskell extra ghc6_7.4.1-4_all.deb
 138f65a8d0445b2e0d55e899633a5863 27074 doc extra ghc6-doc_7.4.1-4_all.deb
 b7f0e2e0a397ab44166fa7953de2d742 26618 haskell extra ghc6-prof_7.4.1-4_all.deb
 436a3084c6d42cf022f2cac7dfc9eb6f 45772712 haskell extra ghc_7.4.1-4_amd64.deb
 f28a3b602223465f1f37b8a8392dd0a2 44282296 haskell extra ghc-prof_7.4.1-4_amd64.deb
 5c0d86a0f29e5c032fbd80750c7a8c4f 20650870 haskell extra ghc-dynamic_7.4.1-4_amd64.deb
 f3bb510799f322cd6bdba7be9261161c 6769668 haskell extra ghc-haddock_7.4.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/ck1oACgkQ9ijrk0dDIGxKmgCgx1tGIcr9wbcyFSZORgliU2zM
9bgAoM94dsm6AacLfOSM4ACKX3BGGsW/
=gtrV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:40:02 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 16:51:05 GMT) Full text and rfc822 format available.

Bug reopened Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 16:51:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions ghc/7.4.1-4. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 16:51:06 GMT) Full text and rfc822 format available.

Marked as found in versions ghc/7.4.1-4. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 16:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#677096; Package ghc. (Thu, 23 Aug 2012 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Thu, 23 Aug 2012 16:57:03 GMT) Full text and rfc822 format available.

Message #37 received at 677096@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 677096@bugs.debian.org
Subject: xmonad still spins
Date: Thu, 23 Aug 2012 12:55:41 -0400
[Message part 1 (text/plain, inline)]
Unfortunatly, while the backported fix did solve my simple test program's
spinning, xmonad still spins, when built with ghc 7.4.1-4.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#677096; Package ghc. (Mon, 08 Oct 2012 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 08 Oct 2012 20:15:06 GMT) Full text and rfc822 format available.

Message #42 received at 677096@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 677096@bugs.debian.org
Subject: Will be in ghc-7.6.2
Date: Mon, 08 Oct 2012 22:13:46 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 + fixed-upstream

According to http://hackage.haskell.org/trac/ghc/ticket/5991#comment:18
this will be in GHC-7.6.2

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Joachim Breitner <nomeata@debian.org> to 677096-submit@bugs.debian.org. (Mon, 08 Oct 2012 20:15:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://hackage.haskell.org/trac/ghc/ticket/5991'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Mon, 08 Oct 2012 20:18:03 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Wed, 12 Dec 2012 17:06:03 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Wed, 12 Dec 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #51 received at 677096-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 677096-close@bugs.debian.org
Subject: Bug#677096: fixed in ghc 7.6.1.20121207-1
Date: Wed, 12 Dec 2012 17:03:48 +0000
Source: ghc
Source-Version: 7.6.1.20121207-1

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677096@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Dec 2012 12:32:48 +0100
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.6.1.20121207-1
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 677096 695739
Changes: 
 ghc (7.6.1.20121207-1) experimental; urgency=low
 .
   * New upstream release (aka 7.6.1-rc).
     + Closes: #677096 (huge number of wakeups)
   * Remove debian/patches/armhf_llvm_abi, applied upstream, thanks to Shawn
     Landden for noticing (Closes: #695739)
   * Hardcode in debian/rules that haddock supportin interface version 22 also
     supports interface version 21.
Checksums-Sha1: 
 a09968c63ec0214c78df6d5c0d40cccc665dfeee 1907 ghc_7.6.1.20121207-1.dsc
 392547f681e0d62da36727b34864b8412f7e7ebd 110855486 ghc_7.6.1.20121207.orig.tar.bz2
 c3363a38bb94d1471b0da78fabc57d0aa949ed7c 45800 ghc_7.6.1.20121207-1.debian.tar.gz
 666acc349342e3ba657089d7bd6a8b9c1a3ca2a4 12306432 ghc-doc_7.6.1.20121207-1_all.deb
 3f94f6cade1db786714e5d5f27c3da4557aeb1f5 27558 ghc6_7.6.1.20121207-1_all.deb
 bd0f3bbec0bc7d3c6d55bd93b0fffc4ddcdf32a1 27688 ghc6-doc_7.6.1.20121207-1_all.deb
 483e4632819a8a9e16b6677c3fd1c84ef1b42d94 27238 ghc6-prof_7.6.1.20121207-1_all.deb
 e454f2dd0f2840a21ca117f904957cf3a1a82be2 46969362 ghc_7.6.1.20121207-1_amd64.deb
 2a3146b86c46c87f92ce5b859fd204c4876bca84 45964280 ghc-prof_7.6.1.20121207-1_amd64.deb
 a6e5d9e08c682117f96edceac1521586a8d9223e 21816416 ghc-dynamic_7.6.1.20121207-1_amd64.deb
 27268e4b351442346c2079acc7878521c8220796 6716530 ghc-haddock_7.6.1.20121207-1_amd64.deb
Checksums-Sha256: 
 ba814c0df1359a6a0b5c345d68f58bd0e28e278fced9fbd9ce4534cc789a804f 1907 ghc_7.6.1.20121207-1.dsc
 b26910642370e79e7042992ab347caa222b408b605206ebc848d917017244c87 110855486 ghc_7.6.1.20121207.orig.tar.bz2
 ffb66d1f8935edd80967c56c8fdcef1728f8acd45f8784ba4bb8d81980865605 45800 ghc_7.6.1.20121207-1.debian.tar.gz
 2409fd4f30496ac2c4d1a9745ea253ce8a8cc87a901731941a6438b14690a21e 12306432 ghc-doc_7.6.1.20121207-1_all.deb
 ab9dd232945f0399008942aba8858f1cfa80072c3b70f98dde3e2a6cc1f0c857 27558 ghc6_7.6.1.20121207-1_all.deb
 eb2a2137a8d41c8695c4cea2428791304811f27d51e2e637836c85329dfe7bc5 27688 ghc6-doc_7.6.1.20121207-1_all.deb
 17189b0444ee2e90f3fb8825fc721b65a2f766d0a3b55d64bde9ca4c1a06206e 27238 ghc6-prof_7.6.1.20121207-1_all.deb
 ea689844f829160e523336cd9028fe9528c0db82ce75a3be9e9c1f5c2d17f8f7 46969362 ghc_7.6.1.20121207-1_amd64.deb
 9690ac4d348be8960901d784f70c35400a03994dd4f65353c52e5eb3becc74dd 45964280 ghc-prof_7.6.1.20121207-1_amd64.deb
 62e597f0b3c47dc7e8e4a4811e7c827d4d43f1cd3b03ad87c5867a398a6929f3 21816416 ghc-dynamic_7.6.1.20121207-1_amd64.deb
 53fe2565c56d66c27b964fd341a6f361836ed7f60ba0be1c0f06f98e219feaac 6716530 ghc-haddock_7.6.1.20121207-1_amd64.deb
Files: 
 d2f3d33ec53744917cbe11de7d0983be 1907 haskell extra ghc_7.6.1.20121207-1.dsc
 e9615893802fb95afd9bffd9417ff490 110855486 haskell extra ghc_7.6.1.20121207.orig.tar.bz2
 6a9347f243017916d00a72329d1dc4e7 45800 haskell extra ghc_7.6.1.20121207-1.debian.tar.gz
 ec2a3ac28f4e14aca955529848efaf71 12306432 doc extra ghc-doc_7.6.1.20121207-1_all.deb
 90d5712fd6990b5c15baab23ae5f14eb 27558 haskell extra ghc6_7.6.1.20121207-1_all.deb
 3402f2964acfffa2ffbbb564a05bf71f 27688 doc extra ghc6-doc_7.6.1.20121207-1_all.deb
 0fe46229ed6fde5fed4a2c6dac8463f1 27238 haskell extra ghc6-prof_7.6.1.20121207-1_all.deb
 34031ce074e55c9ae2bab66d34575ff6 46969362 haskell extra ghc_7.6.1.20121207-1_amd64.deb
 26f5bce6aeb9c41178224ea343b60118 45964280 haskell extra ghc-prof_7.6.1.20121207-1_amd64.deb
 04c7e14b6c505f9740ea8f5af67a971c 21816416 haskell extra ghc-dynamic_7.6.1.20121207-1_amd64.deb
 02cd73a3973908d595ea68ec54a9166d 6716530 haskell extra ghc-haddock_7.6.1.20121207-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDIteUACgkQ9ijrk0dDIGzXGwCgiAb9E2ym+6g10XhMItEgeTG3
qH4AnjjQGQWSgbo2cIodcMSUEFYeQ33C
=LwX9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Nov 2013 07:34:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:04:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.